<?php
error_reporting(E_ALL);
ini_set('display_errors', 0 );
header('Content-Type: text/html; charset=utf-8');
include("../configuracao.php");//confirma no banco de dados
include("../inclusos/funcoes.php");
include("../seguranca.php"); // Inclui o arquivo com o sistema de seguran?a
protegePagina(); // Protege a página


$origem = $_GET['origem'];
$idcliente = $_GET['idcliente'];
$idfornecedor = $_GET['idfornecedor'];
$idusuario = $_GET['idusuario'];
$idvenda = $_GET['idvenda'];
$idconta = $_GET['idconta'];
$idpagamento = $_GET['idpagamento'];
$idmovimento = $_GET['idmovimento'];
$idcompra_prima = $_GET['idcompra_prima'];
$idcompra = $_GET['idcompra'];
$idobra = $_GET['idobra'];
$idservicovenda = $_GET['idservicovenda'];
$idservicoobra = $_GET['idservicoobra'];
$idpasta = $_GET['idpasta'];
$idsubpasta = $_GET['idsubpasta'];
$idreembolso = $_GET['idreembolso'];


// A list of permitted file extensions
$allowed = array('png', 'jpg', 'gif','zip','xls','xlsx','doc','docx','dwg','pdf','ppt','pptx','txt','jpeg','psd','cdr');

if(isset($_FILES['upl']) && $_FILES['upl']['error'] == 0){

	$extension = pathinfo($_FILES['upl']['name'], PATHINFO_EXTENSION);

	if(!in_array(strtolower($extension), $allowed)){
		echo '{"status":"error"}';
		exit;
	}

	if(move_uploaded_file($_FILES['upl']['tmp_name'], 'uploads/'.$_FILES['upl']['name'])){
		
		$CriarArquivo = Salvar("arquivos", "idcliente, idfornecedor, idusuario, idvenda, idconta, idpagamento, idmovimento, idcompra_prima, idcompra, idobra, titulo, arquivo, datacadastro, usuario_cadastro, origem, idservicovenda, idservicoobra, idpasta, idsubpasta, idreembolso", "'".$_GET['idcliente']."', '".$_GET['idfornecedor']."', '".$_GET['idusuario']."', '".$_GET['idvenda']."', '".$_GET['idconta']."', '".$_GET['idpagamento']."', '".$_GET['idmovimento']."', '".$_GET['idcompra_prima']."', '".$_GET['idcompra']."','".$_GET['idobra']."', '".$_FILES['upl']['tmp_name']."', '".$_FILES['upl']['tmp_name']."', '".date('Y-m-d H:i:s')."', '".$_SESSION['usuarioID']."', '".$_GET['origem']."', '$idservicovenda', '$idservicoobra', '$idpasta', '$idsubpasta', '$idreembolso'");		
		
		echo '{"status":"success"}';
		exit;
	}
}

echo '{"status":"error"}';
exit;